Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class DataTruncation

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--java.sql.SQLWarning
                              |
                              +--java.sql.DataTruncation

All Implemented Interfaces:
  Serializable

public class DataTruncation
extends SQLWarning

An exception that reports a DataTruncation warning (on reads) or throws a DataTruncation exception (on writes) when JDBC unexpectedly truncates a data value.

The SQLstate for a `DataTruncation` is `01004`.

See Also:
  Serialized Form

Constructor Summary
`DataTruncation(int index, boolean parameter, boolean read, int dataSize, int transferSize)` Creates a `DataTruncation` object with the SQLState initialized to 01004, the reason set to "Data truncation", the vendorCode set to the SQLException default, and the other fields set to the given values.

Method Summary
`int` | `getDataSize()` Gets the number of bytes of data that should have been transferred.
`int` | `getIndex()` Retrieves the index of the column or parameter that was truncated.
`boolean` | `getParameter()` Indicates whether the value truncated was a parameter value or a column value.
`boolean` | `getRead()` Indicates whether or not the value was truncated on a read.
`int` | `getTransferSize()` Gets the number of bytes of data actually transferred.

Methods inherited from class java.sql.SQLWarning
`getNextWarning, setNextWarning`

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataTruncation

    public DataTruncation(int index,
                          boolean parameter,
                          boolean read,
                          int dataSize,
                          int transferSize)

  Creates a `DataTruncation` object with the SQLState initialized to 01004, the reason set to "Data truncation", the vendorCode set to the SQLException default, and the other fields set to the given values.

Parameters:
  `index` - The index of the parameter or column value
  `parameter` - true if a parameter value was truncated
  `read` - true if a read was truncated
  `dataSize` - the original size of the data
  `transferSize` - the size after truncation

Method Detail

### getIndex

    public int getIndex()

  Retrieves the index of the column or parameter that was truncated.

  This may be -1 if the column or parameter index is unknown, in which case the `parameter` and `read` fields should be ignored.

  Returns:
    the index of the truncated paramter or column value

### getParameter

    public boolean getParameter()

  Indicates whether the value truncated was a parameter value or a column value.

  Returns:
    `true` if the value truncated was a parameter; `false` if it was a column value

### getRead

    public boolean getRead()

  Indicates whether or not the value was truncated on a read.

  Returns:
    `true` if the value was truncated when read from the database; `false` if the data was truncated on a write

### getDataSize

    public int getDataSize()

  Gets the number of bytes of data that should have been transferred. This number may be approximate if data conversions were being performed. The value may be `-1` if the size is unknown.

  Returns:
    the number of bytes of data that should have been transferred

### getTransferSize

    public int getTransferSize()

  Gets the number of bytes of data actually transferred. The value may be `-1` if the size is unknown.

  Returns:
    the number of bytes of data actually transferred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.